> For the complete documentation index, see [llms.txt](https://docs.whiteintel.io/whiteintel-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/combolists-api/combolists-customer-leaks-api.md).

# ComboLists Customer Leaks API

## Combolists Username Leaks API

### Description

The Customer Leaks API allows users to retrieve leaks associated with a specific query (e.g., domain or apk). The request must include the query parameter and apikey.

### Endpoint

`POST /api/combolists/v2/get_customer_leaks.php`

### Required Headers

| Name         | Description                       |
| ------------ | --------------------------------- |
| Content-Type | Must be set to `application/json` |

### Parameters

| Name      | Type   | Required | Default | Description                                                                       |
| --------- | ------ | -------- | ------- | --------------------------------------------------------------------------------- |
| query     | string | Yes      | N/A     | The query to search for leaks (e.g., <test@example.com>) Must be in email format. |
| apikey    | string | Yes      | N/A     | Your API key.                                                                     |
| limit     | int    | No       | 20      | Affects have many results return for query. Max value 500.                        |
| start\_id | int    | No       | N/A     | To restrict results to start from given id.                                       |

### Sample Request

#### Request URL

POST /api/combolists/v2/get\_customer\_leaks.php

```json
{
    "query": "exampledomain.com",
    "limit": 100,
    
}
```

#### Example Success Response

```json
{"total_leaks":2,"remaining_daily_api_calls":176,"data":[{"url":"https:\/\/login.exampledomain.com\/","username":"sampleuser@test.com","password":"123*****"}]}
```

#### Example Error Response

```json
{"error":"Invalid type."}
```

### Code Examples

Example with Curl

```bash
curl -X POST https://whiteintel.io/api/combolists/v2/get_customer_leaks.php \
     -H "Content-Type: application/json" \
     -d '{
           "apikey": "yourapikey",
           "query": "sampleuser@test.com"
         }'
```

Example with Python

```python

import requests

url = "https://whiteintel.io/api/combolists/v2/get_customer_leaks.php"
payload = {
    "apikey": "yourapikey",
    "query": "sampleuser@test.com"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

if response.status_code == 200:
    print("Response:", response.json())
else:
    print("Failed to retrieve customer leaks:", response.status_code, response.text)

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/combolists-api/combolists-customer-leaks-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
